# Rendezvous-Specific Parameters

The following table lists the Rendezvous-specific parameters. For details and the default settings, see the Rendezvous administration manuals.

Rendezvous-Specific Parameters
Parameter | Description
--- | ---
DISPATCHER = {Y | Yes, No} | The DISPATCHER parameter is used to set dispatcher on or off for the ESB Interface. If N is specified, recipes will not be loaded or processed by this RV ESB interface which means only triggers will be processed.
MSGFREE-LIST-SIZE = {0 | number} | The MSGFREE-LIST-SIZE parameter is used to dynamically set the messages free list size. The valid range is from 0 to 300000. The default value is 0.
MSGSEND = {Y | Yes, No} | The MSGSEND parameter indicates whether messages are to be sent for this ESB Interface when it serves a RED Interface.
RV-EQ-MAX-EVENTS = {20000 | number} | The RV-EQ-MAX-EVENTS parameter determines the maximum number of events that are held in the dispatcher queue for Substation ES to process. The valid range is from 0 to 300000. The default value is 20000. Note the following conditions about the values: RV-EQ-MAX-EVENTS Zero (0) is a special value that allows an unlimited number of events. When the RV-EQ-MAX-EVENTS value is set to 0, the RV-EQ-POLICY policy must be set to TIBRVQUEUE_DISCARD_NONE. If the RV-EQ-POLICY policy is not set to TIBRVQUEUE_DISCARD_NONE or TIBRVQUEUE_DISCARD_NEW, Substation ES discards up to 50% of the events in the queue when the RV-EQ-MAX-EVENTS limit is reached. A minimum of one event is always discarded. If the RV-EQ-POLICY policy is set to TIBRVQUEUE_DISCARD_NEW, Substation ES always discards one of the events in the queue when the RV-EQ-MAX-EVENTS limit is reached. For more information about the tibrvQueue_SetLimitPolicy() parameter, see the TIBCO Rendezvous C Reference documentation.
RV-EQ-POLICY = {2 | number} | The RV-EQ-POLICY parameter sets the policy for dispatcher queue. A specified value determines how Rendezvous discards events from the queue when the number of events exceeds the value of the RV-EQ-MAX-EVENTS parameter. The valid values are: 0: TIBRVQUEUE_DISCARD_NONE 1: TIBRVQUEUE_DISCARD_NEW 2: TIBRVQUEUE_DISCARD_FIRST 3: TIBRVQUEUE_DISCARD_LAST The default value is 2. For more information about the tibrvQueue_SetLimitPolicy() parameter, see the TIBCO Rendezvous C Reference documentation.
RVDQ-IDENTITY ={name} (Optional) | The value in this parameter is concatenated to the end of the Rendezvous distributed queue name, ensuring that the Rendezvous distributed queue name is unique on the network. The name given here must follow the Rendezvous distributed queue naming conventions.
RVDQ-MEM-LIMIT ={0 | number} (Optional) | The RVDQ-MEM-LIMIT parameter sets the maximum amount of memory that the ESB can use, in KB. When the specified limit is reached, the ESB rejects incoming messages until the memory in use falls below the limit. The valid values range from 0 to 8000. The default value is 0. Note: If both RVDQ-MEM-LIMIT and RVDQ-MSG-LIMIT are specified, then only RVDQ-MEM-LIMIT is used
RVDQ-MSG-LIMIT ={0 | number} (Optional) | The RVDQ-MSG-LIMIT parameter sets the maximum number of messages that can be in the queue. When the specified limit is reached, the ESB rejects incoming messages until the number of messages in the queue falls below the limit. The valid values range from 0 to 100000. The default value is 0. Note: If both RVDQ-MEM-LIMIT and RVDQ-MSG-LIMIT are specified, then only RVDQ-MEM-LIMIT is used
RVDQ-SCHEDULER ={0 | 5 | number} (Optional) | The RVDQ-SCHEDULER parameter determines whether the ESB is a worker or scheduler in the distributed queue. The valid values are: 0: designates the ESB as a worker. The ESB will never be the scheduler. 5: indicates that the ESB is always the scheduler. All other numbers allow the ESB to act as the scheduler if required. The higher the number, the more likely this ESB will become the scheduler. The default value is 0.
RVDQ-WORKERS ={0 | number} | The RVDQ-WORKERS parameter determines the number of worker tasks for each listener. Valid values are from 0 to 80. 0 is a special value that indicates no worker is assigned. The default value is 0.
RVDQ-YN = {N | Yes, No} | If you set the value to Y, the Rendezvous distributed queue processing is enabled on an ESB interface. Normally, you have two or more ESB interfaces with this value set. Those interfaces are usually in their own Substation ES regions, in which messages coming into Substation ES are processed only once and are distributed among each interface that is enabled with distributed queue processing. Note: Do not set this value to Y if only one interface participates in a distributed queue. Each interface must share the same set of subjects when participating in a distributed queue environment. You can define multiple Rendezvous interfaces in a single Substation ES instance, with one performing normal Rendezvous tasks and another performing distributed-queue tasks. This parameter offers several advantages. Distributing the workload across Substation ES instances and fault tolerance are the most common uses. For details about distributed queue operations, see the Rendezvous documentation.
RV-SERVICE = {0 | number} | The RV-SERVICE parameter is specified to override the RV UDP Service port number defined in the ESB Endpoint Extensions panel of Transformer Configuration file which are being used in the ESB interface. This allows you to have one configuration file for multiple RV ESB interfaces and change the RV UDP Service port that the interface is using for all recipes and trigger services loaded in that interface. The valid values range from 2048 to 10240. The default value is 0, means no override.
VECTOR-YN = {Y | Yes, No} | The VECTOR-YN parameter in RV ESB interface is used to set the flag for using Rendezvous vector input in the callback for processing messages. The default value is Y.

Copyright © TIBCO Software Inc. All rights reserved.